Package ru.bitel.bgbilling.modules.buyemoney.server.bean

# Class BuyemoneyPayment

java.lang.Object
ru.bitel.bgbilling.modules.buyemoney.server.bean.BuyemoneyPayment

public class BuyemoneyPayment extends Object
Платёж покупки валюты. Соответствует таблице buyemoney_payment_$mid.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BuyemoneyPayment()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getChargeId()`
  `int`
  `getCid()`
  `String`
  `getComment()`
  `String`
  `getContractComment()`
  `String`
  `getContractTitle()`
  `Date`
  `getDate()`
  `int`
  `getId()`
  `String`
  `getPurse()`
  `CurrencyRate`
  `getRate()`
  `int`
  `getRateId()`
  `ru.bitel.bgbilling.modules.buyemoney.common.BuyemoneyStatus`
  `getStatus()`
  `ru.bitel.common.util.BGMoney`
  `getSumcur()`
  `ru.bitel.common.util.BGMoney`
  `getSumtotal()`
  `void`
  `setChargeId(int chargeId)`
  `void`
  `setCid(int cid)`
  `void`
  `setComment(String comment)`
  `void`
  `setContractComment(String contractComment)`
  `void`
  `setContractTitle(String contractTitle)`
  `void`
  `setDate(Date date)`
  `void`
  `setId(int id)`
  `void`
  `setPurse(String purse)`
  `void`
  `setRate(CurrencyRate rate)`
  `void`
  `setRateId(int rateId)`
  `void`
  `setStatus(ru.bitel.bgbilling.modules.buyemoney.common.BuyemoneyStatus status)`
  `void`
  `setSumcur(ru.bitel.common.util.BGMoney sumcur)`
  `void`
  `setSumtotal(ru.bitel.common.util.BGMoney sumtotal)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BuyemoneyPayment

    public BuyemoneyPayment()

- ## Method Details

  - ### getId

    public int getId()

  - ### setId

    public void setId(int id)

  - ### getCid

    public int getCid()

  - ### setCid

    public void setCid(int cid)

  - ### getDate

    public Date getDate()

  - ### setDate

    public void setDate(Date date)

  - ### getRateId

    public int getRateId()

  - ### setRateId

    public void setRateId(int rateId)

  - ### getSumcur

    public ru.bitel.common.util.BGMoney getSumcur()

  - ### setSumcur

    public void setSumcur(ru.bitel.common.util.BGMoney sumcur)

  - ### getSumtotal

    public ru.bitel.common.util.BGMoney getSumtotal()

  - ### setSumtotal

    public void setSumtotal(ru.bitel.common.util.BGMoney sumtotal)

  - ### getChargeId

    public int getChargeId()

  - ### setChargeId

    public void setChargeId(int chargeId)

  - ### getContractTitle

    public String getContractTitle()

  - ### setContractTitle

    public void setContractTitle(String contractTitle)

  - ### getContractComment

    public String getContractComment()

  - ### setContractComment

    public void setContractComment(String contractComment)

  - ### getStatus

    public ru.bitel.bgbilling.modules.buyemoney.common.BuyemoneyStatus getStatus()

  - ### setStatus

    public void setStatus(ru.bitel.bgbilling.modules.buyemoney.common.BuyemoneyStatus status)

  - ### getRate

    public CurrencyRate getRate()

  - ### setRate

    public void setRate(CurrencyRate rate)

  - ### setComment

    public void setComment(String comment)

  - ### getComment

    public String getComment()

  - ### setPurse

    public void setPurse(String purse)

  - ### getPurse

    public String getPurse()